%define builtin_release_version 2.1AS
%define builtin_release_name Pensacola
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

Summary: Pensacola release file
Name: redhat-release-as
Version: %{real_release_version}
Release: 25
License: GPL
Group: System Environment/Base
Source0: %{name}-%{builtin_release_version}.tar.gz
Source1: NOTICE-END-OF-LIFE.txt
ExclusiveArch: i386
Obsoletes: rawhide-release
BuildRoot: %{_tmppath}/%{name}-root
Provides: redhat-release

%description
Pensacola release file


%prep
%setup -q -n %{name}-2.1AS
cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-2.1AS/

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Red Hat Linux Advanced Server release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
echo "Red Hat Linux Advanced Server release %{real_release_version}/\m (%{real_release_name})" > $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we

# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1, rawhide-release < 20011001-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc COPYING autorun-template NOTICE-END-OF-LIFE.txt
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net

%changelog
* Wed May 27 2009 Dennis Gregorovic <dgregor@redhat.com> - 2.1AS-25
- Updated EOL text

* Tue Feb 17 2009 Dennis Gregorovic <dgregor@redhat.com> - 2.1AS-24
- Updated EOL text

* Mon Jun  2 2008 Dennis Gregorovic <dgregor@redhat.com> - 2.1AS-23
- Updated EOL text

* Mon Jun  2 2008 Dennis Gregorovic <dgregor@redhat.com> - 2.1AS-22
- Added EOL notice
